/*------------------------------------------------*/
/* c20/clock.c                                    */
#include <stdio.h>
#include <time.h>
#include <unistd.h>

#define SLEEP_SEC 30

float difftimespec(struct timespec *ts1, struct timespec *ts2)
{
   return difftime(ts1->tv_sec, ts2->tv_sec) + (ts1->tv_nsec - ts2->tv_nsec)*1e-9;
}

int main(void)
{
    time_t cas1,cas2;
    struct timespec ts1, ts2;

    cas1 = time(NULL);
    clock_gettime(CLOCK_MONOTONIC, &ts1);

    printf("Je prave %s", ctime(&cas1));
    printf("sleep(%i);\n", SLEEP_SEC);
    sleep(SLEEP_SEC);

    cas2 = time(NULL);
    clock_gettime(CLOCK_MONOTONIC, &ts2);


    printf("Je prave %s", ctime(&cas2));
    printf("Ubehlo  %f sekund (na hodinach).\n", difftime(cas2, cas1));
    printf("Ubehlo  %f sekund (realne).\n", difftimespec(&ts2, &ts1));

    return 0;
}

/*------------------------------------------------*/
