/*------------------------------------------------*/
/* c23/vprintf1.c                                 */

#include <stdio.h>
#include <stdarg.h>

int printf_v_ramecku(const char *format, ...) 
{
	int n;
	va_list ap;
	va_start(ap, format);
	printf("***********************************\n");
	printf("* ");
	n = vprintf(format, ap);
	printf(" *\n");
	printf("***********************************\n");
	va_end(ap);
	return n;
}

int main(void) {
	(void) printf_v_ramecku("%s %5.5f", "Hello world!",1.0/3);
	return 0;
}

/*------------------------------------------------*/
