/*------------------------------------------------*/
/* locale/locale1.c                               */

#include <stdio.h>
#include <errno.h>
#include <math.h>
#include <locale.h>

double logaritmus(double x)
{
    double y;
    y = log(x);

    switch (errno) {
    case 0:
	perror(NULL);
	printf("log(%f) = %f.\n", x, y);
	return y;
    default:
	perror("Hlaseni");
	return 0;
    }
}

void test_vystup() {
    printf("Cislo 10000/3 = %f\n", 10000.0/3);
    (void) logaritmus(-5);
    (void) logaritmus(0);
}

int main(void)
{
    printf("* Aktualne nastavene locale LC_ALL: %s\n", setlocale(LC_ALL, NULL));
    test_vystup();

    printf("* Locale LC_ALL nastaveno na: %s\n", setlocale(LC_ALL,""));
    test_vystup();

    printf("* Locale LC_NUMERIC nastaveno na %s\n", setlocale(LC_NUMERIC,"C"));
    test_vystup();

    return 0;
}

/*------------------------------------------------*/

