/*------------------------------------------------*/
/* znakoveSady/utf8example.c                      */

#include <stdio.h>
#include <string.h>
#include "utf8fce.h"

#define MIN_STRLEN 5
#define TEXT_LEN (MIN_STRLEN * MAX_BYTES_IN_UTF8 + 1)

int main(void)
{
    char text[TEXT_LEN];
    int utf8len, i;
    printf("Zadej nějaký řetězec: ");
    fgets(text, TEXT_LEN, stdin);
    printf("Zadal jsi: %s\n", text);
    utf8len = utf8strlen(text);
    printf("Délka %u vs %i\n", strlen(text), utf8len);
    printf("Zadal jsi: ");
    for (i = 0; i < utf8len; i++) {
	printf("'%s' ", utf8CharAtIndex(text, i, NULL));
    }
    printf("\n");

    /*
    if (utf8len > 0) {
	int pos = 0;
	size_t next;
	while (text[pos]) {
	    printf("'%s' ", utf8CharAtIndex(text + pos, 0, &next));
	    pos += next;
	}
	printf("\n");
    }
    */

    return 0;
}

/*------------------------------------------------*/
